Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.archive.io
Class SeekInputStream

    java.lang.Object
      java.io.InputStream
          org.archive.io.SeekInputStream

All Implemented Interfaces:
  it.unimi.dsi.fastutil.io.RepositionableStream, java.io.Closeable

Direct Known Subclasses:
  ArraySeekInputStream, BlockInputStream, BufferedSeekInputStream, OriginSeekInputStream, RandomAccessInputStream, ReplayInputStream, SafeSeekInputStream

    public abstract class SeekInputStream

extends java.io.InputStream
implements it.unimi.dsi.fastutil.io.RepositionableStream

Base class for repositionable input streams.

Author:
  pjack

Constructor Summary
`SeekInputStream()`

Method Summary
`void` | `mark(int limit)` Marks the current position of the stream.
`boolean` | `markSupported()` Returns true, since SeekInputStreams support mark/reset by default.
`void` | `reset()` Resets this stream to its marked position.

Methods inherited from class java.io.InputStream
`available, close, read, read, read, skip`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface it.unimi.dsi.fastutil.io.RepositionableStream
`position, position`

Constructor Detail

### SeekInputStream

    public SeekInputStream()

Method Detail

### mark

    public void mark(int limit)

  Marks the current position of the stream. The limit parameter is ignored; the mark will remain valid until reset is called or the stream is closed.

  Overrides:
    `mark` in class `java.io.InputStream`
  Parameters:
    `limit` - ignored

### reset

    public void reset()
               throws java.io.IOException

  Resets this stream to its marked position.

  Overrides:
    `reset` in class `java.io.InputStream`
  Throws:
    `java.io.IOException` - if there is no mark, or if an IO error occurs

### markSupported

    public boolean markSupported()

  Returns true, since SeekInputStreams support mark/reset by default.

  Overrides:
    `markSupported` in class `java.io.InputStream`
  Returns:
    true

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2008 Internet Archive. All Rights Reserved.